/*
 * Copyright 2004-2005 The Apache Software Foundation or its licensors,
 *                     as applicable.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.jackrabbit.core.observation;

import it.eng.javax.jcr.observation.EventListener;

/**
 * Defines a marker interface for {@link it.eng.javax.jcr.observation.EventListener}
 * implementations that wish a synchronous notification of changes to the
 * workspace. That is, a <code>SynchronousEventListener</code> is called before
 * the call to {@link it.eng.javax.jcr.Item#save()} returns. In contrast, a regular
 * {@link it.eng.javax.jcr.observation.EventListener} might be called after
 * <code>save()</code> returns.
 */
public interface SynchronousEventListener extends EventListener {
}
